<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV098-49-ga9cb64a5:2022-11-14#


/**
 * Plugin Name: Platiti UniAdapter plugin
 * Description: Support plugin for WooCommerce payment modules from platiti.cz
 * Version: 98.49
 * Plugin URI: https://www.platiti.cz/
 * Text Domain: WooCommerceAdapter
 * Author: Miroslav Novak www.platiti.cz
 */

require_once(WP_PLUGIN_DIR ."/WooCommerceAdapter/lib/UniModul/UniModul.php");


add_action( 'plugins_loaded', 'init_wc_uniadapter_class' );

/** @return void  */
function init_wc_uniadapter_class() {
	require_once(WP_PLUGIN_DIR ."/WooCommerceAdapter/lib/WooCommerceAdapter.php");
}


/**
 * @return void
 */
function unimodul_plugin_activated() {
	try {
		BeginUniErr();
		global $wpdb;
		$wpdb->query(file_get_contents( WP_PLUGIN_DIR ."/WooCommerceAdapter/lib/UniModul/UniModul.sql"));
		EndUniErr();
	} catch (Exception $ex) {
		ExceptionUniErr($ex);
	}
}


add_filter( 'upgrader_package_options', 'wc_adapter_upgrader_package_options');
/**
 * @param array<string, mixed> $options
 * @return mixed
 */
function wc_adapter_upgrader_package_options($options) {
	if(strpos($options['package'], 'WooCommerceAdapter') !== false){
		$options['clear_destination'] = false;
		$options['abort_if_destination_exists'] = false;
	}
	return $options;
}
